# Reactify Django

React is a powerful component JavaScript library. With it, you can build all kinds of user inferfaces from something as simple as a contact form all the way to an entire front end.

This project is about integrating React with Django.

### Tech
- React 16.4.0
- Django 1.11
- Django Rest Framework 3.8.2
- Django CORS Headers 2.2.0
- Python 3.5 (and up)

### Recommended Start
```

$ cd path/to/your/dev/folder
$ mkdir reactifydjango
$ cd reactifydjango
$ git clone https://github.com/codingforentrepreneurs/Reactify-Django .
$ git reset bc78f49e5f3fe1992b99afb85782b6281bf981a1 --hard
$ git remote remove origin
$ virtualenv -p python3 .
$ source bin/activate
(reactifydjango) $ cd src
(reactifydjango) $ pip install -r requirements.txt
(reactifydjango) $ cd reactify-ui
(reactifydjango) $ npm install
```

### Sections

[8 - Hello World](../../tree/6c835af4d8baf3a7e22ef9abefad455738fabfcd/)

[9 - Http Methods in React](../../tree/5d538670778ff6f642ebd16b0796a8276b111cda/)

[10 - React Props](../../tree/c58d8455a4268cc4966ef29cff745abd7e21c575/)

[11 - React State](../../tree/e8c32eba7c02568faab78cf531a908d2c83af991/)

[12 - More on State & Props](../../tree/55344af50e2bf4ee1363ccebffa326de7b281c79/)

[13 - React and How it Renders](../../tree/37586cc374f8b4d48d85f1ffca61f2a6bd0ea03e/)

[14 - HTML Form in React](../../tree/2db192d7d1c9f944aeb6e8b1326eefb2636da498/)

[15 - Handle a Form with React](../../tree/2cb6b6194545e72c07e54733dea71eac37070e94/)

[16 - Sending Data from React to Django](../../tree/77eae0b301727c6b0190f7f0b6fc3afbe96ad926/)

[17 - Child Element Event Emitter](../../tree/a101fe97e65a7934ba8eba8f2f23c9a2326d77ee/)

[18 - Clear Form](../../tree/1cfb591054c7f0e59893608594bae4abe45172e2/)

[19 - Preset Input Value](../../tree/777e27e8eae408629ab072bf2cb079da36f385b9/)

[20 - Handle a Checkbox in React](../../tree/56b0f61c89ab17aa5be6193eb0f610a9f4ee17a8/)

[21 - URL Routing in React](../../tree/a06673331b1376af301b32bd6a11c6ef73eca05b/)

[22 - Link with React Router Dom](../../tree/a06673331b1376af301b32bd6a11c6ef73eca05b/)

[23 - Post Detial View](../../tree/909e007379df86ee36dcbee5e27dc399de3dae40/)

[24 - Post Owner](../../tree/3636c831c2f83f1ed44b83d4fdabb5ccf62c7a87/)

[25 & 26 Post Update Part 1 & 2](../../tree/0c6d5ae88e2101ee66815f6973eba6a7b7595921/)

[27 - Post Create Clean Up](../../tree/e9ac788d69677948680a356e35af83b6a77cb1da/)

[28 - Django Rest Framework Custom Pagination](../../tree/49fe7e358ef226ce32a0c8521fcb8e7334b346d1/)

[29 - Dynamically Load More Posts](../../tree/01ce4eb5788a39cdbd76d51381f0645fd4657ceb/)

[30 - Thank you](../../tree/4a29c537c290e1a5bd31b8e1b8692972d3f271ec/)